Updates an existing User.
curl --request PUT \
--url http://claimsdesk.runasp.net/api/v1/Users/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>' \
--data '
{
"fullName": "<string>",
"username": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"gender": "<string>",
"receiveNotifications": true,
"branchId": 123,
"roleId": 123,
"approvalLimit": 123,
"isActive": true
}
'import requests
url = "http://claimsdesk.runasp.net/api/v1/Users/{id}"
payload = {
"fullName": "<string>",
"username": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"gender": "<string>",
"receiveNotifications": True,
"branchId": 123,
"roleId": 123,
"approvalLimit": 123,
"isActive": True
}
headers = {
"X-App-Id": "<api-key>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-App-Id': '<api-key>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
fullName: '<string>',
username: '<string>',
email: '<string>',
phoneNumber: '<string>',
gender: '<string>',
receiveNotifications: true,
branchId: 123,
roleId: 123,
approvalLimit: 123,
isActive: true
})
};
fetch('http://claimsdesk.runasp.net/api/v1/Users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "http://claimsdesk.runasp.net/api/v1/Users/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'fullName' => '<string>',
'username' => '<string>',
'email' => '<string>',
'phoneNumber' => '<string>',
'gender' => '<string>',
'receiveNotifications' => true,
'branchId' => 123,
'roleId' => 123,
'approvalLimit' => 123,
'isActive' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>",
"X-App-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://claimsdesk.runasp.net/api/v1/Users/{id}"
payload := strings.NewReader("{\n \"fullName\": \"<string>\",\n \"username\": \"<string>\",\n \"email\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"gender\": \"<string>\",\n \"receiveNotifications\": true,\n \"branchId\": 123,\n \"roleId\": 123,\n \"approvalLimit\": 123,\n \"isActive\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-App-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://claimsdesk.runasp.net/api/v1/Users/{id}")
.header("X-App-Id", "<api-key>")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"fullName\": \"<string>\",\n \"username\": \"<string>\",\n \"email\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"gender\": \"<string>\",\n \"receiveNotifications\": true,\n \"branchId\": 123,\n \"roleId\": 123,\n \"approvalLimit\": 123,\n \"isActive\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://claimsdesk.runasp.net/api/v1/Users/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["X-App-Id"] = '<api-key>'
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fullName\": \"<string>\",\n \"username\": \"<string>\",\n \"email\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"gender\": \"<string>\",\n \"receiveNotifications\": true,\n \"branchId\": 123,\n \"roleId\": 123,\n \"approvalLimit\": 123,\n \"isActive\": true\n}"
response = http.request(request)
puts response.read_bodyUser & Access Management
Updates an existing User.
PUT
/
api
/
v1
/
Users
/
{id}
Updates an existing User.
curl --request PUT \
--url http://claimsdesk.runasp.net/api/v1/Users/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>' \
--data '
{
"fullName": "<string>",
"username": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"gender": "<string>",
"receiveNotifications": true,
"branchId": 123,
"roleId": 123,
"approvalLimit": 123,
"isActive": true
}
'import requests
url = "http://claimsdesk.runasp.net/api/v1/Users/{id}"
payload = {
"fullName": "<string>",
"username": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"gender": "<string>",
"receiveNotifications": True,
"branchId": 123,
"roleId": 123,
"approvalLimit": 123,
"isActive": True
}
headers = {
"X-App-Id": "<api-key>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-App-Id': '<api-key>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
fullName: '<string>',
username: '<string>',
email: '<string>',
phoneNumber: '<string>',
gender: '<string>',
receiveNotifications: true,
branchId: 123,
roleId: 123,
approvalLimit: 123,
isActive: true
})
};
fetch('http://claimsdesk.runasp.net/api/v1/Users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "http://claimsdesk.runasp.net/api/v1/Users/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'fullName' => '<string>',
'username' => '<string>',
'email' => '<string>',
'phoneNumber' => '<string>',
'gender' => '<string>',
'receiveNotifications' => true,
'branchId' => 123,
'roleId' => 123,
'approvalLimit' => 123,
'isActive' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>",
"X-App-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://claimsdesk.runasp.net/api/v1/Users/{id}"
payload := strings.NewReader("{\n \"fullName\": \"<string>\",\n \"username\": \"<string>\",\n \"email\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"gender\": \"<string>\",\n \"receiveNotifications\": true,\n \"branchId\": 123,\n \"roleId\": 123,\n \"approvalLimit\": 123,\n \"isActive\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-App-Id", "<api-key>")
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://claimsdesk.runasp.net/api/v1/Users/{id}")
.header("X-App-Id", "<api-key>")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"fullName\": \"<string>\",\n \"username\": \"<string>\",\n \"email\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"gender\": \"<string>\",\n \"receiveNotifications\": true,\n \"branchId\": 123,\n \"roleId\": 123,\n \"approvalLimit\": 123,\n \"isActive\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://claimsdesk.runasp.net/api/v1/Users/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["X-App-Id"] = '<api-key>'
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fullName\": \"<string>\",\n \"username\": \"<string>\",\n \"email\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"gender\": \"<string>\",\n \"receiveNotifications\": true,\n \"branchId\": 123,\n \"roleId\": 123,\n \"approvalLimit\": 123,\n \"isActive\": true\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
App ID authentication. Enter your App ID below.
API Key authentication. Enter your key below.
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Response
200
OK

